## ros-galactic-rmf-building-sim-common 1.3.1

=== debian/changelog ===
ros-galactic-rmf-building-sim-common (1.3.1-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 01 Dec 2021 07:17:34 -0000

ros-galactic-rmf-building-sim-common (1.3.0-1focal) focal; urgency=high

  * Fix dependencies (#26 <https://github.com/open-rmf/rmf_simulation/issues/26>)
  * Changes for galactic (#25 <https://github.com/open-rmf/rmf_simulation/issues/25>)
  * Removing unnecessary qt5 dependency from CMakeLists (#22 <https://github.com/open-rmf/rmf_simulation/issues/22>)
  * Make menge mandatory and fix building_sim dependencies (#19 <https://github.com/open-rmf/rmf_simulation/issues/19>)
  * Start using ros-tooling for build and test workflow, added coverage, tsan (#14 <https://github.com/open-rmf/rmf_simulation/issues/14>)
  * Add quality declaration documents (#1 <https://github.com/open-rmf/rmf_simulation/issues/1>)
  * Crowd step size fix for large physics step sizes (#10 <https://github.com/open-rmf/rmf_simulation/issues/10>)
  * Add build and style actions (#11 <https://github.com/open-rmf/rmf_simulation/issues/11>)
  * Slotcar plugin package move and utils cleanup (#5 <https://github.com/open-rmf/rmf_simulation/issues/5>)
  * Refactor and cleanup utils (#6 <https://github.com/open-rmf/rmf_simulation/issues/6>)
  * account for renaming from building_map_msgs to rmf_building_map_msgs (#3 <https://github.com/open-rmf/rmf_simulation/issues/3>)
  * Contributors: Aaron Chong, Charayaphan Nakorn Boon Han, Geoffrey Biggs, Luca Della Vedova, Marco A. Gutiérrez, Yadu

 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 01 Sep 2021 00:00:00 -0000

ros-galactic-rmf-building-sim-common (1.2.0-1focal) focal; urgency=high

  * Add animation switch to crowd simulation plugin (#238 <https://github.com/osrf/traffic_editor/pull/238>)
  * Add pausing feature to slotcar plugin: [#267 <https://github.com/osrf/traffic_editor/pull/267>]
  * undo features
  * dropping eloquent support (#277 <https://github.com/osrf/traffic_editor/issues/277>)
  * Fix undefined initialization of _old_ang_vel and _old_lin_vel (#274 <https://github.com/osrf/traffic_editor/issues/274>)
  * idle mode when slotcar is stationary (#264 <https://github.com/osrf/traffic_editor/issues/264>)
  * Add pausing feature (#267 <https://github.com/osrf/traffic_editor/issues/267>)
  * Debug/slotcar battery and mode (#261 <https://github.com/osrf/traffic_editor/issues/261>)
  * Added ament exports for crowd simulation common (#260 <https://github.com/osrf/traffic_editor/issues/260>)
  * Merge branch 'release-1.1'
  * Make slotcar rotations follow trajectory yaw angle (#254 <https://github.com/osrf/traffic_editor/issues/254>)
  * Fixed RobotMode (#252 <https://github.com/osrf/traffic_editor/issues/252>)
  * Fix namespace for rmf charging plugin (#253 <https://github.com/osrf/traffic_editor/issues/253>)
  * Control slotcar with model velocity cmds in place of joint velocity cmds (#236 <https://github.com/osrf/traffic_editor/issues/236>)
  * Implement battery drain and recharge for slotcars (#242 <https://github.com/osrf/traffic_editor/issues/242>)
  * Implement animation switching in crowd simulation (#238 <https://github.com/osrf/traffic_editor/issues/238>)
  * Contributors: Geoffrey Biggs, Grey, Guoliang (Fred) Shao, Luca Della Vedova, Marco A. Gutiérrez, Morgan Quigley, Rushyendra Maganty, Yadu, youliang

 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 06 Jan 2021 00:00:00 -0000

ros-galactic-rmf-building-sim-common (1.1.0-1focal) focal; urgency=high

  * Crowd simulation plugin (#218 <https://github.com/osrf/traffic_editor/issues/218>)
  * Improve lift initial floor definition #221 <https://github.com/osrf/traffic_editor/issues/221>
  * Update lift session id in lift plugin (#223 <https://github.com/osrf/traffic_editor/issues/223>)
  * Add field in lift dialog for initial floor, handle invalid initial floor
  * Ignition plugins and modularization of doors and slotcar #138 <https://github.com/osrf/traffic_editor/issues/138>
  * Adding lift plugin for ignition #171 <https://github.com/osrf/traffic_editor/issues/171>
  * spawn lifts at respective reference floors
  * stagger door_state publishing
  * Contributors: Charayaphan Nakorn Boon Han, Guoliang (Fred) Shao, Kevin_Skywalker, Luca Della Vedova, MakinoharaShouko

 -- Morgan Quigley <morgan@openrobotics.org>  Thu, 24 Sep 2020 00:00:00 -0000
