=== debian/control ===
Source: ros-galactic-rmf-building-sim-common
Section: misc
Priority: optional
Maintainer: Morgan Quigley <morgan@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-menge-vendor, ros-galactic-rclcpp, ros-galactic-rmf-building-map-msgs, ros-galactic-rmf-door-msgs, ros-galactic-rmf-lift-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rmf-building-sim-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-menge-vendor, ros-galactic-rclcpp, ros-galactic-rmf-building-map-msgs, ros-galactic-rmf-door-msgs, ros-galactic-rmf-lift-msgs, ros-galactic-ros-workspace
Description: Common utility functions for Gazebo and ignition building plugins
